Index: build/linux/python_arch.sh |
diff --git a/build/linux/python_arch.sh b/build/linux/python_arch.sh |
index 3a41f94a980f16675a57baf6422a71fa4fd0f673..e0f63bc6b0471b609d9cf2ccdcec2f4a5903a1f4 100755 |
--- a/build/linux/python_arch.sh |
+++ b/build/linux/python_arch.sh |
@@ -11,7 +11,9 @@ |
# |
file_out=$(file --dereference "$1") |
-if [ $? -ne 0 ]; then |
+# The POSIX spec says that `file` should not exit(1) if the file does not |
+# exist, so do our own -e check to catch things. |
+if [ $? -ne 0 ] || [ ! -e "$1" ] ; then |
echo unknown |
exit 0 |
fi |